;USER DEFINED PARAMETERS
;---------------------------------------------------------------------------------------
;OSCILLATOR FREQUENCY
#DEFINE OSC_FREQ	D'20000000'
;---------------------------------------------------------------------------------------
;TIMER1 PRESCALER
#DEFINE	TIMER1_PRESCALE	D'16'
;---------------------------------------------------------------------------------------
;NUMBER OF ENTRIES IN THE SINE TABLE, OR THE SAMPLING FREQUENCY
#DEFINE	SINE_TABLE_ENTRIES	D'19'
;---------------------------------------------------------------------------------------
SAMPLES_PER_CYCLE = (SINE_TABLE_ENTRIES-1)*D'2'
INSTRUCTION_CYCLE = (OSC_FREQ)/D'4'
FREQ_SCALE = (INSTRUCTION_CYCLE/SAMPLES_PER_CYCLE)/(TIMER1_PRESCALE/4)
;TIMER PRESCALE/4 IS DONE TO COMPONSATE ADC MULTIPLICATION FACTOR OF 4 TO THE FREQUENCY)
;---------------------------------------------------------------------------------------
;PWM FREQUENCY DEFINITION
#DEFINE TIMER2_PRESCALE	D'01'
#DEFINE	PWM_FREQUENCY	D'20000'
PR2_VALUE = (OSC_FREQ/(4*PWM_FREQUENCY*TIMER2_PRESCALE))-1
;---------------------------------------------------------------------------------------
;PORT AND BIT DEFINITIONS		
#DEFINE	DRIVER_ENABLE		4	;RA4
#DEFINE	FWD_REV_KEY		0	;RB0
#DEFINE	RUN_STOP_KEY		1	;RB1
#DEFINE	FAULT_BIT		4	;RB4
#DEFINE	FWD_REV_LED		0	;RD0
#DEFINE	RUN_STOP_LED		1	;RD1
#DEFINE	UV_LED			2	;RD2
#DEFINE	OV_LED			3	;RD3
#DEFINE	LED_PORT		PORTD

;BIT DEFINITION OF FLAG_FREQ
#DEFINE	DEC_ACC_F		0	;0 FOR DECELERATION AND 1 FOR ACCELERATION
#DEFINE	CHANGE_FREQ		1	;0 FOR NO CHANGE IN FREQUENCY AND 1 FOR CHANGE IN FREQUENCY
#DEFINE	DELAY_4MS		2

;BIT DEFINITION OF FLAGS
#DEFINE	MOTOR_DIRECTION		0
#DEFINE MOTOR_RUNNING		1
#DEFINE	TIMER1_OV_FLAG		2
#DEFINE OFFSET1_FLAG		4
#DEFINE OFFSET2_FLAG		5
#DEFINE OFFSET3_FLAG		6
#DEFINE	V_F_FLAG		7

#DEFINE	DELAY_COUNT1		0XFF
#DEFINE	DELAY_COUNT2		0XFF
#DEFINE	LIMIT_V_LOW		0X51	;UV LIMIT = -20% OF 115VAC (USER SELECTABLE)
#DEFINE	LIMIT_V_HIGH		0x7A	;OV LIMIT = +20% OF 115VAC (USER SELECTABLE)
;---------------------------------------------------------------------------------------
;SET ACCELERATION AND DECELERATION TIME IN SECOND
;---------------------------------------------------------------------------------------
#DEFINE	RAMP
#DEFINE	DECELERATION_TIME	D'3'	;SECONDS
#DEFINE	ACCELERATION_TIME	D'3'	;SECONDS
DEC_CON = (DECELERATION_TIME)*D'250'
ACC_CON = (ACCELERATION_TIME)*D'250'
;---------------------------------------------------------------------------------------
;END OF FILE
;---------------------------------------------------------------------------------------

